### Function

# Ide text_iter_find_chars_forward

#### Declaration

    gboolean
    ide_text_iter_find_chars_forward (
      GtkTextIter* iter,
      GtkTextIter* limit,
      GtkTextIter* end,
      const gchar* str,
      gboolean only_at_start
    )

#### Description

Search forward for a `str` string, starting at `iter` position till `limit` if there’s one. In case of succes, `iter` is updated to the found `str` start position, otherwise, its position is undefined.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter` indicating the start position to check for.
| The data is owned by the caller of the function.
`limit` | `GtkTextIter`
| A `GtkTextIter` indicating the limit of the search.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| A `GtkTextIter` returning the str end iter (if found).
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The data is owned by the caller of the function.
`str` | `const gchar*`
| A C type string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`only_at_start` | `gboolean`
| `TRUE` if the searched `str` string should be constrained to start `iter` position.

#### Return value

Returns: | `gboolean`
| `TRUE` if case of succes, `FALSE` otherwise.